#! /bin/sh
#
##########################################################################
#                                                                        #
# Shell Script to Update list of customer per DNS on Web Server          #
# Switzernet(c)2011                                                      #
#                                                                        #
##########################################################################
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
CONF_FILE="/etc/astrad/config/switzer.conf"
Dir="/etc/astrad/script/ast-registred-sip"
cd $Dir
HTTP_USER=`egrep -A4 '\[REGISTRED_DB\]' $CONF_FILE | egrep '^USER=.*' | cut -d= -f2`
HTTP_PASS=`egrep -A4 '\[REGISTRED_DB\]' $CONF_FILE | egrep '^PASS=.*' | cut -d= -f2`

wget -q -N  --output-document='register.pl'  --http-user="$HTTP_USER" --http-passwd="$HTTP_PASS" http://switzernet.com/folders/110121-registred-sip/script_register
chown root:root register.pl
chmod +x register.pl
tail -2000000 /var/sipenv-*/log/sip.log | egrep -i -A5 "^register" | egrep -i "^(register|from)" | tail -20000 | perl register.pl
