# astrad003.pp

# module astrad
# v 003
#

import "asterisk.pp"
import "classes/*.pp"

class astrad003{

        exec{ "aptitude update":}

	$module_name = "astrad003"
    #include ssh_user		
	include mysql-server
	include asterisk
	include postfix	
	include snmp

	package{[libdbi-perl, libdbd-mysql-perl, ntp, ngrep]:
		ensure => installed,
                require => Exec['aptitude update']
	}

	line{ "comment MySQL bind-address":
		file => "/etc/mysql/my.cnf",
		line => "bind-address",
		ensure => comment,
	}
	
	# Give all access to database to the robot
	exec{ "Setup MySQL ast-robot":
		command => "mysql -uroot -p$mysql_root_pass -e \"GRANT ALL ON asterisk.* to '$mysql_ast_user'@'%' IDENTIFIED BY '$mysql_ast_pass';\"",
		require => [Service['mysql'], Exec['Set MySQL root password']]

	}
}

